org.apache.commons.compress.harmony.pack200

## Class NewAttributeBands.Integral

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement
  - - org.apache.commons.compress.harmony.pack200.NewAttributeBands.Integral

- All Implemented Interfaces:
    NewAttributeBands.AttributeLayoutElement
  Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Integral
      extends NewAttributeBands.LayoutElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Integral(String tag)`
    `Integral(String tag, NewAttributeBands.Integral previousIntegral)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
    `String` | `getTag()`
    `int` | `latestValue()`
    `void` | `pack(OutputStream outputStream)`
    `void` | `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement

      `getLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Integral

          public Integral(String tag)

    - #### Integral

          public Integral(String tag,
                          NewAttributeBands.Integral previousIntegral)

  - ### Method Detail

    - #### addAttributeToBand

          public void addAttributeToBand(NewAttribute attribute,
                                         InputStream inputStream)

    - #### getTag

          public String getTag()

    - #### latestValue

          public int latestValue()

    - #### pack

          public void pack(OutputStream outputStream)
                    throws IOException,
                           Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

    - #### renumberBci

          public void renumberBci(IntList bciRenumbering,
                                  Map<org.objectweb.asm.Label,Integer> labelsToOffsets)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.